'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = objType;
function objType(obj) {
  var type = Object.prototype.toString.call(obj).slice(8, -1);
  if (type === 'Object' && typeof obj[Symbol.iterator] === 'function') {
    return 'Iterable';
  }

  if (type.includes('Array')) {
    return 'Array';
  }

  return type;
}